> ## Documentation Index
> Fetch the complete documentation index at: https://docs.axle.energy/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Asset

> Update an existing asset's properties, asset model, and/or installation date.

All fields are optional. Returns the updated asset details.



## OpenAPI

````yaml PATCH /entities/asset/{asset_id}
openapi: 3.1.0
info:
  title: Axle API Docs
  description: >-
    For full documentation please see our official docs at <a
    href='http://docs.axle.energy'>docs.axle.energy</a>
  version: 1.4.6
servers:
  - url: https://api-sandbox.axle.energy
security: []
tags:
  - name: 1. Authentication
    description: Authenticate yourself with the Axle API
  - name: 2. Meters
    description: Find key info about your sites
  - name: 3. Sites
    description: Register your sites with Axle; configure market participation
  - name: 4. Assets
    description: Register your assets with Axle
  - name: 5. Data
    description: Send asset metrics to Axle, for analysis and optimisation purposes
  - name: 6. Rewards
    description: >-
      Determine how much your users have earned by participating with Axle;
      allow balance withdrawal
  - name: 7. Validation
    description: Validate structured data against Axle's rules
  - name: 8. Examples
    description: Get example data for testing
paths:
  /entities/asset/{asset_id}:
    patch:
      tags:
        - 4. Assets
      summary: Update Asset
      description: >-
        Update an existing asset's properties, asset model, and/or installation
        date.


        All fields are optional. Returns the updated asset details.
      operationId: update_asset_entities_asset__asset_id__patch
      parameters:
        - required: true
          schema:
            type: string
            format: uuid
            title: Asset Id
          name: asset_id
          in: path
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AssetUpdateRequest'
        required: true
      responses:
        '200':
          description: Successfully updated asset
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AssetResponse'
        '400':
          description: Invalid request data
        '404':
          description: Asset not found or not authorized to access
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
        '500':
          description: Server error while updating asset
      security:
        - OAuth2PasswordBearer: []
components:
  schemas:
    AssetUpdateRequest:
      properties:
        properties:
          allOf:
            - $ref: '#/components/schemas/AssetProperties'
          title: Properties
          description: Asset properties to update
        asset_model:
          type: string
          title: Asset Model
          description: Name of the AssetModel to assign (looked up by name)
        installation_date:
          type: string
          format: date
          title: Installation Date
          description: Date when the asset was installed
      type: object
      title: AssetUpdateRequest
      description: Request model for updating an existing asset.
    AssetResponse:
      properties:
        id:
          type: string
          format: uuid
          title: Id
          description: Axle's internal UUID for the asset
        external_id:
          type: string
          title: External Id
          description: Vendor-specific identifier for the asset
        type:
          allOf:
            - $ref: '#/components/schemas/AssetType'
          description: Type of asset
        site_id:
          type: string
          format: uuid
          title: Site Id
          description: ID of the site where the asset is located
        properties:
          allOf:
            - $ref: '#/components/schemas/AssetProperties'
          title: Properties
          description: Optional asset properties
      type: object
      required:
        - id
        - external_id
        - type
        - site_id
      title: AssetResponse
      description: Response model for asset information.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    AssetProperties:
      properties:
        power_kw:
          type: number
          minimum: 0
          title: Power Kw
          description: Power rating in kW
        capacity_kwh:
          type: number
          minimum: 0
          title: Capacity Kwh
          description: Capacity in kWh
      type: object
      title: AssetProperties
      description: Optional properties for an asset.
    AssetType:
      type: string
      enum:
        - boundary meter
        - charger
        - battery
        - heat pump
        - hot water tank
        - frequency meter
        - electric_vehicle
        - pv inverter
      title: AssetType
      description: An enumeration.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    OAuth2PasswordBearer:
      type: oauth2
      flows:
        password:
          scopes: {}
          tokenUrl: auth/token-form

````